SolidWorks机械工程师网——最大的SolidWorks学习平台

 找回密码
 立即注册

QQ登录

只需一步,快速开始

好品数字
好品数字
查看: 3766|回复: 13

请问怎样用宏让装配体中一个零件封套

  [复制链接]

1

主题

18

帖子

35

金币

天使

Rank: 2Rank: 2

积分
125

最佳新人宣传达人

发表于 2018-10-20 20:01:18 | 显示全部楼层 |阅读模式
Dim swApp As Object

Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long

Sub main()

Set swApp = _
Application.SldWorks

Set Part = swApp.ActiveDoc
boolstatus = Part.Extension.SelectByID2("抽屉3-1@装配体1", "COMPONENT", 0, 0, 0, False, 0, Nothing, 0)
boolstatus = Part.CompConfigProperties4(2, 0, True, True, "GCS_08E", False, True)
boolstatus = Part.EditRebuild3()
End Sub

这是录制产生后的代码,
总是
boolstatus = Part.CompConfigProperties4(2, 0, True, True, "GCS_08E", False, True)
报错,希望有大神指导一下



补充内容 (2018-10-25 21:13):
录制宏该配置也会报错,求高手指点

这是录制的封套的宏

这是录制的封套的宏
SolidWorks机械工程师网
提示:建议使用谷歌浏览器浏览本网站!如单击这里下载!否则,可能无法下载附件文件!(支持大多数版本的谷歌浏览器,支持360和QQ浏览器的极速模式,即谷歌内核模式,使用IE和Edge浏览器,浏览个别网页以及下载文件时,会误报“***不安全”,此时需要单击“继续访问此不安全站点(不推荐)”才可以继续下载,另外,本网站不含任何不安全的文件,已联系微软公司解决,纯属IE和Edge浏览器误报)
回复

使用道具 举报

5

主题

35

帖子

80

金币

堂主

Rank: 4

积分
665

最佳新人活跃会员宣传达人

发表于 2024-2-1 14:36:30 | 显示全部楼层
  1. Option Explicit
  2. Dim swApp As Object
  3. Dim Part As Object
  4. Dim boolstatus As Boolean
  5. Dim longstatus As Long, longwarnings As Long

  6. Sub main()
  7. Set swApp = Application.SldWorks
  8. Set Part = swApp.ActiveDoc

  9. ' 获取用户选择的零件
  10. Dim SelMgr As Object
  11. Set SelMgr = Part.SelectionManager
  12. Dim SelectedEntity As Object
  13. Set SelectedEntity = SelMgr.GetSelectedObject6(1, -1)

  14. If Not SelectedEntity Is Nothing Then
  15. Dim SelectedPart As Object

  16. ' 封套操作
  17. boolstatus = Part.CompConfigProperties6(2, 0, True, True, "默认<按加工>", False, True, 0)

  18. ' 更新模型
  19. boolstatus = Part.EditRebuild3()
  20. End If
  21. End Sub
复制代码
SolidWorks机械工程师网
提示:建议使用谷歌浏览器浏览本网站!如单击这里下载!否则,可能无法下载附件文件!(支持大多数版本的谷歌浏览器,支持360和QQ浏览器的极速模式,即谷歌内核模式,使用IE和Edge浏览器,浏览个别网页以及下载文件时,会误报“***不安全”,此时需要单击“继续访问此不安全站点(不推荐)”才可以继续下载,另外,本网站不含任何不安全的文件,已联系微软公司解决,纯属IE和Edge浏览器误报)
回复 支持 1 反对 0

使用道具 举报

5

主题

119

帖子

531

金币

堂主

Rank: 4

积分
949
QQ
发表于 2018-10-23 12:30:31 | 显示全部楼层
顶一下,坐等高手!
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

1

主题

18

帖子

35

金币

天使

Rank: 2Rank: 2

积分
125

最佳新人宣传达人

 楼主| 发表于 2018-11-2 23:56:57 来自手机 | 显示全部楼层
没有人会吗
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

0

主题

372

帖子

189

金币

长老

Rank: 6Rank: 6Rank: 6

积分
1414

最佳新人活跃会员热心会员宣传达人灌水之王突出贡献

发表于 2022-11-20 21:08:55 | 显示全部楼层

   经典案例图书
楼主辛苦了!
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

3

主题

1190

帖子

192

金币

传奇

Rank: 8Rank: 8

积分
4000

最佳新人活跃会员热心会员宣传达人灌水之王突出贡献

发表于 2024-1-29 14:44:56 | 显示全部楼层
顶一下,坐等高手!
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

6

主题

945

帖子

943

金币

实习版主

Rank: 7Rank: 7Rank: 7Rank: 7

积分
3761

最佳新人活跃会员热心会员宣传达人灌水之王突出贡献

发表于 2024-1-29 20:04:23 | 显示全部楼层

   经典案例图书
你选中了要封套的实体零件了吗
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

5

主题

35

帖子

80

金币

堂主

Rank: 4

积分
665

最佳新人活跃会员宣传达人

发表于 2024-2-1 14:38:20 | 显示全部楼层

在装配体里选择的零件一键封套,可多选。
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

3

主题

1190

帖子

192

金币

传奇

Rank: 8Rank: 8

积分
4000

最佳新人活跃会员热心会员宣传达人灌水之王突出贡献

发表于 2024-2-2 10:30:45 | 显示全部楼层

感谢大神的宏无比崇拜
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

1

主题

128

帖子

252

金币

堂主

Rank: 4

积分
941

最佳新人活跃会员热心会员宣传达人灌水之王

发表于 2024-2-2 13:28:57 | 显示全部楼层
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

5

主题

35

帖子

80

金币

堂主

Rank: 4

积分
665

最佳新人活跃会员宣传达人

发表于 2024-2-3 08:29:45 | 显示全部楼层
  1. Option Explicit
  2. Dim swApp As Object
  3. Dim Part As Object
  4. Dim boolstatus As Boolean
  5. Dim longstatus As Long, longwarnings As Long

  6. Sub main解除封套()
  7. Set swApp = Application.SldWorks
  8. Set Part = swApp.ActiveDoc

  9. ' 获取用户选择的零件
  10. Dim SelMgr As Object
  11. Set SelMgr = Part.SelectionManager
  12. Dim SelectedEntity As Object
  13. Set SelectedEntity = SelMgr.GetSelectedObject6(1, -1)

  14. If Not SelectedEntity Is Nothing Then
  15. Dim SelectedPart As Object

  16. ' 解除封套操作
  17. boolstatus = Part.CompConfigProperties6(2, 0, False, True, "默认<按加工>", False, True, 0)

  18. ' 更新模型
  19. boolstatus = Part.EditRebuild3()
  20. End If
  21. End Sub
复制代码
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

4

主题

144

帖子

63

金币

堂主

Rank: 4

积分
739

最佳新人活跃会员热心会员宣传达人灌水之王

发表于 2024-5-3 15:22:51 | 显示全部楼层

你好这个封套和解封能做成一宏里面吗
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

0

主题

130

帖子

848

金币

传奇

Rank: 8Rank: 8

积分
3425

最佳新人活跃会员热心会员宣传达人灌水之王

发表于 2024-5-14 16:04:24 | 显示全部楼层
顶上去,坐等大神
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

3

主题

73

帖子

271

金币

堂主

Rank: 4

积分
828

最佳新人活跃会员热心会员宣传达人

发表于 3 天前 | 显示全部楼层

这个不能解除封套,是封套+隐藏零件啊
SolidWorks机械工程师网
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

关闭 卷起
关闭 卷起

SOLIDWORKS 2023 机械设计从入门到精通

手机版|小黑屋| GMT+8, 2024-6-14 19:21 , Processed in 0.412344 second(s), 38 queries .

SolidWorks机械工程师网 ( 鲁ICP备14025122号-2 ) 鲁公网安备 37028502190335号

声明:本网言论纯属发表者个人意见,与本网立场无关。
如涉版权,可发邮件: admin@swbbsc.com

快速回复 返回顶部 返回列表